package com.philisense.rdgo.bean.request;

import java.util.List;

/**
 * Created by chenxiaopeng on 2017/12/26.
 */

public class OrderSubmitRequestBean {


    /**
     * accessToken : eyJhbGciOiJIUzI1NiJ9.MTUxNzE5NTE3MzQzNw.CxyzKDZlpOG9DYK81nOi7itH_fVCRiht_e_wOo3Vddg
     * account : 20180001
     * boxList : ["xx","xx"]
     * name : 李亮
     * pileList : ["5a6945c0f625bd4b040a37ea"]
     * sendId : WL20180129003
     * type : 1
     * warehouse :
     * warehouseCode :
     * lastUpdatedBy : {"account":"","person":"","sex":"","IDCard":"","factory":"","warehouse":"","line":""}
     */

    private String accessToken;
    private String account;
    private String name;
    private String sendId;
    private int type;
    private String warehouse;
    private String warehouseCode;
    private LastUpdatedByBean lastUpdatedBy;
    private List<String> boxList;
    private List<String> pileList;

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSendId() {
        return sendId;
    }

    public void setSendId(String sendId) {
        this.sendId = sendId;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getWarehouse() {
        return warehouse;
    }

    public void setWarehouse(String warehouse) {
        this.warehouse = warehouse;
    }

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

    public LastUpdatedByBean getLastUpdatedBy() {
        return lastUpdatedBy;
    }

    public void setLastUpdatedBy(LastUpdatedByBean lastUpdatedBy) {
        this.lastUpdatedBy = lastUpdatedBy;
    }

    public List<String> getBoxList() {
        return boxList;
    }

    public void setBoxList(List<String> boxList) {
        this.boxList = boxList;
    }

    public List<String> getPileList() {
        return pileList;
    }

    public void setPileList(List<String> pileList) {
        this.pileList = pileList;
    }

    public static class LastUpdatedByBean {
        /**
         * account :
         * person :
         * sex :
         * IDCard :
         * factory :
         * warehouse :
         * line :
         */

        private String account;
        private String person;
        private String sex;
        private String IDCard;
        private String factory;
        private String warehouse;
        private String line;

        public String getAccount() {
            return account;
        }

        public void setAccount(String account) {
            this.account = account;
        }

        public String getPerson() {
            return person;
        }

        public void setPerson(String person) {
            this.person = person;
        }

        public String getSex() {
            return sex;
        }

        public void setSex(String sex) {
            this.sex = sex;
        }

        public String getIDCard() {
            return IDCard;
        }

        public void setIDCard(String IDCard) {
            this.IDCard = IDCard;
        }

        public String getFactory() {
            return factory;
        }

        public void setFactory(String factory) {
            this.factory = factory;
        }

        public String getWarehouse() {
            return warehouse;
        }

        public void setWarehouse(String warehouse) {
            this.warehouse = warehouse;
        }

        public String getLine() {
            return line;
        }

        public void setLine(String line) {
            this.line = line;
        }
    }
}
